package com.yunfeiyun.agmp.fms.domain.resvo;

import lombok.Data;
import org.springframework.util.CollectionUtils;

import java.util.HashMap;
import java.util.Map;

@Data
public class WmsStockAppMapResVo {
    private String warehouseId;
    private String warehouseName;
    private Map<String,WmsStockAppMapResVoItem> stockAppMapResVoItemMap;


    public Map<String,WmsStockAppMapResVoItem> getStockAppMapResVoItemMap(){
        if(CollectionUtils.isEmpty(this.stockAppMapResVoItemMap)){
            this.stockAppMapResVoItemMap = new HashMap<>();
        }
        return this.stockAppMapResVoItemMap;
    }


}
